現在位置: ホーム / セキュリティ ブログ / bashの自動補完機能の脆弱性( CVE-2017-5932 )

bashの自動補完機能の脆弱性( CVE-2017-5932 )

2/8に、bashの脆弱性についての情報(CVE-2017-5932)と修正が出ています。bash-4.4以上で発生する問題ですが任意のコマンドを実行できるため、今回は脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面です。

2/8に、bashの脆弱性についての情報(CVE-2017-5932)と修正が出ています。bash-4.4以上で発生する問題ですが任意のコマンドを実行できるため、今回は脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。



Priority

High

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

    CVE-2017-5932

    • 悪意のあるユーザによる、任意のコマンド実行の可能性

    • 4.4以上のbashにバグが有り、autocompletion(TABボタンなどを使っての補完)を行うと、コマンドを実行していないにも関わらず細工されたファイル名のコマンドを実行される可能性が有ります。

      sios@ubuntuPoC:~/test$ touch '"`touch HereBeDragonddds`'
      sios@ubuntuPoC:~/test$ ls
      "`touch HereBeDragonddds`
      sios@ubuntuPoC:~/test$ rm \"\`touch\ HereBeDragonddds\` ^C  (Ctrl+C)
      sios@ubuntuPoC:~/test$ ls
      "`touch HereBeDragonddds`  HereBeDragonddds
      

主なディストリビューションの対応方法

virtioや仮想化に関するパッケージのバージョンを更新する必要があります。

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat Satelliteを使うと管理が便利でしょう。

Red Hat Satelliteを用いた一般的なErattaの適用は、『Red Hat Satellite 6でerrataを適用してみる』を参考にして下さい。

また、ホストOSの再起動が発生しますので、pacemakerなどOSSのクラスタ製品LifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。

[参考]

GNU Bash code execution vulnerability in path completion


セミナー情報

3/10(金)の12:00から、明星大学 日野キャンパス(多摩モノレール 「中央大学・明星>大学駅」から大学まで直結。会場まで徒歩6分)にて開催されるオープンソースカンファレン ス2017 Tokyo/Springで、本ブログ執筆者の面 和毅がOSSセキュリティ技術の会発足の紹 介として、プラットフォームの全般的なセキュリティの紹介を行います。OSCに参加>される方、またお近くの方で御時間が有りましたら、是非ご参加下さい。

OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

OSSよろず相談室

サイオスOSSよろず相談室(2)

問い合わせボタン